> ## Documentation Index
> Fetch the complete documentation index at: https://docs.minenet.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Create snapshot



## OpenAPI

````yaml api-reference/openapi.yaml post /snapshots
openapi: 3.1.0
info:
  title: Minenet Client API
  version: 1.0.0
  description: >
    Team-scoped API for deployments, servers, snapshots, files, and mod platform
    metadata.


    Authentication:

    - Bearer user token (`mnp_*`)

    - Bearer agent token (`mna_*`)


    Global rate limit: 100 requests/minute per token.
servers:
  - url: https://your-domain.com/api/client/v1
security:
  - bearerAuth: []
tags:
  - name: Deployments
  - name: Servers
  - name: Snapshots
  - name: Files
  - name: Modrinth
  - name: CurseForge
paths:
  /snapshots:
    post:
      tags:
        - Snapshots
      summary: Create snapshot
      operationId: createSnapshot
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - source_server_id
              properties:
                source_server_id:
                  type: string
                  format: uuid
                name:
                  type: string
                  maxLength: 255
                ignore:
                  type: string
                  maxLength: 10000
      responses:
        '202':
          description: Snapshot queued
          content:
            application/json:
              schema:
                type: object
                properties:
                  snapshot_id:
                    type: string
                  snapshot_uuid:
                    type: string
                    format: uuid
                  source_server_id:
                    type: string
                    format: uuid
                  name:
                    type: string
                  status:
                    type: string
        '409':
          description: Snapshot already in progress
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          $ref: '#/components/responses/RateLimited'
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
      required:
        - error
  responses:
    RateLimited:
      description: Rate limit exceeded
      headers:
        Retry-After:
          schema:
            type: integer
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: token

````